/**
* Copyright (c) 2018 - 2019 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

@mixin xsm() {
  @media (max-width: map-get($global-breakpoints, xsm)) {
    @content;
  }  
}

@mixin sm() {
  @media (max-width: map-get($global-breakpoints, md) - 1px) {
    @content;
  }  
}

@mixin md() {
  @media (min-width: map-get($global-breakpoints, md)) {
    @content;
  }
}

@mixin lg() {
  @media (min-width: map-get($global-breakpoints, lg)) {
    @content;
  }
}

@mixin xl() {
  @media (min-width: map-get($global-breakpoints, xl)) {
    @content;
  }
}

@mixin xxl() {
  @media (min-width: map-get($global-breakpoints, xxl)) {
    @content;
  }
}

@mixin xxxl() {
  @media (min-width: map-get($global-breakpoints, xxxl)) {
    @content;
  }
}


//
// Breakpoint utils
// 
@mixin breakpoint-helper ($type) {
  @if ($type == 'xsm') {
    @include xsm() {
      @content;
    }
  }

  @if ($type == 'sm') {
    @include sm() {
      @content;
    }
  }

  @if ($type == 'md') {
    @include md() {
      @content;
    }
  }

  @if ($type == 'lg') {
    @include lg() {
      @content;
    }
  }

  @if ($type == 'xl') {
    @include xl() {
      @content;
    }
  }

  @if ($type == 'xxl') {
    @include xxl() {
      @content;
    }
  }

  @if ($type == 'xxxl') {
    @include xxxl() {
      @content;
    }
  }
}
